<div class="portfolio-single-gallery-wrap">
	<div class="portfolio-single-gallery cdb-owl-carousel">
		<?php
		$media = caledon_addon_get_portfolio_single_media();
		
		if(is_array($media) && count($media)) : ?>
			<?php foreach($media as $single_media) : ?>
				<div class="portfolio-single-img">
					<?php caledon_addon_get_portfolio_single_media_html($single_media); ?>
				</div>
			<?php endforeach; ?>
		<?php endif; ?>
	</div>
</div>
<div class="cdb-row">
	<div class="cdb-col-8">
        <h3 class="portfolio-single-title"><?php the_title(); ?></h3>
		<?php caledon_addon_get_cpt_single_module_template_part('templates/single/parts/content', 'portfolio', $item_layout); ?>
	</div>
	<div class="cdb-col-4">
		<div class="portfolio-single-details">
            <h4 class="portfolio-details-title"><?php esc_html_e( 'Case details', 'caledon-addon' ); ?></h4>

			<?php
			//get portfolio custom fields section
			caledon_addon_get_cpt_single_module_template_part('templates/single/parts/custom-fields', 'portfolio', $item_layout);
			
			//get portfolio categories section
			caledon_addon_get_cpt_single_module_template_part('templates/single/parts/categories', 'portfolio', $item_layout);
			
			//get portfolio date section
			caledon_addon_get_cpt_single_module_template_part('templates/single/parts/date', 'portfolio', $item_layout);
			
			//get portfolio tags section
			caledon_addon_get_cpt_single_module_template_part('templates/single/parts/tags', 'portfolio', $item_layout);
			
			//get portfolio share section
			caledon_addon_get_cpt_single_module_template_part('templates/single/parts/social', 'portfolio', $item_layout);
			?>
		</div>
	</div>
</div>