<?php if(codebean_options()->getOptionValue('portfolio_single_hide_pagination') !== 'yes') : ?>
    <?php
    $back_to_link = get_post_meta(get_the_ID(), 'portfolio_single_back_to_link', true);
    $nav_same_category = codebean_options()->getOptionValue('portfolio_single_nav_same_category') == 'yes';
    ?>
    <div class="portfolio-navigation">

        <div class="portfolio-nav-prev">
            <?php if(get_previous_post() !== '') : ?>
                <?php if($nav_same_category) {
                    previous_post_link( '%link', '<span class="portfolio-single-nav-icon icon-arrows-left"></span><span class="title">%title</span>', false, '', 'portfolio-category' );
                } else {
                    previous_post_link( '%link', '<span class="portfolio-single-nav-icon icon-arrows-left"></span><span class="title">%title</span>' );
                } ?>
            <?php endif; ?>
        </div>


        <?php if($back_to_link !== '') : ?>
            <div class="back-to-portfolio">
                <a itemprop="url" href="<?php echo esc_url(get_permalink($back_to_link)); ?>">
	                <?php echo codebean_get_svg_template( 'back-portfolio' ); ?>
                </a>
            </div>
        <?php endif; ?>


        <div class="portfolio-nav-next">
            <?php if(get_next_post() !== '') : ?>
                <?php if($nav_same_category) {
                    next_post_link( '%link', '<span class="title">%title</span><span class="portfolio-single-nav-icon icon-arrows-right"></span>', false, '', 'portfolio-category' );
                } else {
                    next_post_link( '%link', '<span class="title">%title</span><span class="portfolio-single-nav-icon icon-arrows-right"></span>' );
                } ?>
            <?php endif; ?>
        </div>

    </div>
<?php endif; ?>