<?php

if ( ! function_exists( 'codebean_get_button_html' ) ) {
	/**
	 * Calls button shortcode with given parameters and returns it's output
	 *
	 * @param $params
	 *
	 * @return mixed|string
	 */
	function codebean_get_button_html( $params ) {
		$button_html = codebean_execute_shortcode( 'codebean_button', $params );
		$button_html = str_replace( "\n", '', $button_html );
		
		return $button_html;
	}
}

if ( ! function_exists( 'caledon_addon_add_button_shortcodes' ) ) {
	function caledon_addon_add_button_shortcodes( $shortcodes_class_name ) {
		$shortcodes = array(
			'CaledonAddon\CPT\Shortcodes\Button\Button'
		);
		
		$shortcodes_class_name = array_merge( $shortcodes_class_name, $shortcodes );
		
		return $shortcodes_class_name;
	}
	
	add_filter( 'codebean_filter_add_vc_shortcode', 'caledon_addon_add_button_shortcodes' );
}