(function($) {
	'use strict';
	
	var counter = {};
	cdbTheme.modules.counter = counter;
	
	counter.counterElement = counterElement;
	
	
	counter.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		counterElement();
	}
	
	/**
	 * Counter Shortcode
	 */
	function counterElement() {
		var counterHolder = $('.stat-counter');
		
		if (counterHolder.length) {
			counterHolder.each(function() {
				var thisCounterHolder = $(this),
					thisCounter = thisCounterHolder.find('.fact-number');
				
				thisCounterHolder.appear(function() {
					thisCounterHolder.css('opacity', '1');
					
					//Counter zero type
					if (thisCounter.hasClass('default-counter')) {
						var max = parseFloat(thisCounter.text());
						thisCounter.countTo({
							from: 0,
							to: max,
							speed: 1500,
							refreshInterval: 100
						});
					} else {
						thisCounter.absoluteCounter({
							speed: 2000,
							fadeInDelay: 1000
						});
					}
				},{accX: 0, accY: theme_global_vars.vars.appear_element_amount});
			});
		}
	}
	
})(jQuery);