<div <?php codebean_class_attribute($holder_classes); ?>>
	<?php if(!empty($carousel_items)) { ?>
		<div class="carousel-next-trigger"></div>
		<div class="carousel-inner">
			<?php $i = 1; ?>
			<?php foreach($carousel_items as $item):?>
				<div class="carousel-item" data-index="<?php echo esc_attr($i); ?>">
					<div class="carousel-container">
						<div class="content-inner">
							<div class="content-inner-box">
								<div class="content-row">
									<div class="top-part">
										<?php if(!empty($item['item_title'])) { ?>
                                            <div class="carousel-heading">
                                                <a href="<?php echo esc_url($item['item_link']); ?>" target="<?php echo esc_attr( $items_link_target ); ?>">
                                                    <h2><?php echo esc_attr($item['item_title']); ?></h2>
                                                </a>
                                            </div>
										<?php } ?>

                                        <?php if(!empty($item['text'])) { ?>
                                        <div class="carousel-caption">
	                                        <?php echo wp_kses_post($item['text']); ?>
                                        </div>
                                        <?php } ?>

                                    </div>
									<div class="button-holder">
										<?php if(!empty($item['item_link'])) { ?>
											<?php echo codebean_get_button_html(array(
												'link' => $item['item_link'],
												'text' => $item['item_link_text'],
												'target' => $items_link_target,
												'type' => 'simple',
												'size' => 'large',
												'enable_arrow' => 'yes'
											)); ?>
										<?php } ?>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="carousel-img-wrap">
						<?php
						$bgrnd_img_style = '';

						if(!empty($item['item_image'])) {
							$bgrnd_img_style .= "background-image: url(" . wp_get_attachment_url($item['item_image']) . ");";
						}
						?>
						<div class="carousel-background" <?php echo codebean_get_inline_style($bgrnd_img_style); ?>></div>
					</div>
				</div>
				<?php $i++; ?>
			<?php endforeach; ?>
		</div>
		<?php if ($enable_progress_indicator == 'yes') { ?>
			<div class="carousel-indicators">
				<?php foreach ($carousel_items as $indicator): ?>
					<span class="carousel-indicator"></span>
				<?php endforeach; ?>
			</div>
		<?php } ?>
	<?php } ?>
</div>