<div class="frame-slider-wrapper <?php echo esc_attr($holder_classes); ?>">
    <div class="frame-slider">
        <div class="frame-slider-inner">
            <?php 
                $images = array('centered', 'left', 'right');
            ?>
            <?php foreach ($images as $image) { ?>
                <div class="frame-slider-image-wrapper frame-slider-<?php echo "{$image}" ?>">
                    <?php if (!empty(${$image.'_image_link'})) { ?>
                        <a class="frame-slider-link"
                            href="<?php echo esc_url(${$image.'_image_link'}) ?>" 
                            target="<?php echo esc_attr($link_target) ?>">
                        </a>
                    <?php } ?>
                    <img class="image-<?php echo "{$image}" ?>"
                        src="<?php echo wp_get_attachment_url(${$image.'_image'}); ?>" 
                        alt="<?php echo get_the_title(${$image.'_image'}) ?>" />
                </div>
            <?php } ?>
        </div>
        <div class="frame-slider-left-trigger"></div>
        <div class="frame-slider-right-trigger"></div>
    </div>
    <?php if ($enable_navigation == 'yes') { ?>
        <span class="frame-slider-nav nav-left">
            <svg enable-background="new 0 0 32.6 32.6" viewBox="0 0 32.6 32.6" xmlns="http://www.w3.org/2000/svg"><path d="m32.135 16.817h-31.635c-.276 0-.5-.224-.5-.5s.224-.5.5-.5h31.635c.276 0 .5.224.5.5s-.224.5-.5.5z"/><path d="m13.037 29.353c-.128 0-.256-.049-.354-.146l-12.537-12.538c-.093-.094-.146-.221-.146-.354s.053-.26.146-.354l12.538-12.532c.195-.195.512-.195.707 0s.195.512 0 .707l-12.184 12.179 12.184 12.184c.195.195.195.512 0 .707-.098.098-.226.147-.354.147z"/></svg>
        </span>
        <span class="frame-slider-nav nav-right">
            <svg enable-background="new 0 0 32.6 32.6" viewBox="0 0 32.6 32.6" xmlns="http://www.w3.org/2000/svg"><path d="m.5 15.8h31.6c.3 0 .5.2.5.5s-.2.5-.5.5h-31.6c-.3 0-.5-.2-.5-.5s.2-.5.5-.5z"/><path d="m19.6 3.3c.1 0 .3 0 .4.1l12.5 12.6c.1.1.1.2.1.4s-.1.3-.1.4l-12.5 12.4c-.2.2-.5.2-.7 0s-.2-.5 0-.7l12.2-12.2-12.3-12.2c-.2-.2-.2-.5 0-.7.1-.1.3-.1.4-.1z"/></svg>
        </span>
    <?php } ?>
</div>
