<div class="cdb-instagram-el <?php echo esc_attr($holder_classes); ?>">
    <?php if ( !empty($params['content']) ) : ?>
        <div class="instagram-content">
            <div class="instagram-content-inner">
	            <?php echo do_shortcode( $content ); ?>
            </div>
        </div>
    <?php endif; ?>

    <div class="instagram-images-wrap <?php echo esc_attr($carousel_classes); ?>" <?php if( $params['design'] !== 'grid' ) { echo codebean_get_inline_attrs( $data_attr ); } ?>>
        <?php foreach ($images_array as $item) {
            $image = (! empty( $item[$size] )) ? $item[$size] : $item['thumbnail'];
            ?>
           <div class="instagram-placeholder">
               <a href="<?php echo esc_url( $item['link'] ) ?>" target="<?php echo esc_attr( $params['target'] ); ?>">
                   <img src="<?php echo esc_url( $image ); ?>" alt="">
                   <?php if ( $params['hide_mask'] !== 'yes' ) { ?>
                       <div class="instagram-hover">
                           <span class="instagram-likes"><i class="far fa-heart"></i> <?php echo caledon_pretty_number( $item['likes'] ); ?></span>
                           <span class="instagram-comments"><i class="far fa-comments"></i> <?php echo caledon_pretty_number( $item['comments'] ); ?></span>
                       </div>
                   <?php } ?>
               </a>
           </div>
        <?php } ?>
    </div>

</div>