<div class="rotate-box-item">
    <div class="inner-box <?php echo esc_attr($holder_inner_classes); ?>">
        <div class="rotate-box-side front-side">
            <div class="content-wrap">
                <?php if(!empty($title)) { ?>
                    <<?php echo esc_attr($title_tag); ?> class="rotate-box-title" <?php echo codebean_get_inline_style($title_front_styles); ?>>
                        <?php echo esc_html($title); ?>
                    </<?php echo esc_attr($title_tag); ?>>
                <?php } ?>
                <?php if(!empty($custom_icon)) : ?>
                    <?php
                    $rand = "svg-" . rand(1000,9999);
                    $sizes = codebean_get_explode_size( $custom_icon_size, 118 );
                    $img = wpb_getImageBySize( array( 'attach_id' => $custom_icon, 'thumb_size' => 'full', 'class' => 'iwt-icon' ) );
                    $src = $img['p_img_large'][0];

                    if ( codebean_is_svg( $src ) ) {
                        echo '<div class="info-box-svg-wrapper info-box-icon" style="width: ' . $sizes[0] . 'px;height: ' . $sizes[1] . 'px;">' . codebean_get_any_svg( $src, $rand ) . '</div>';
                    } else {
                        echo wp_get_attachment_image($custom_icon, 'full');
                    }
                    ?>
                <?php endif; ?>
            </div>
        </div>
        <div class="rotate-box-side back-side">
            <div class="content-wrap">
                <?php if(!empty($title)) { ?>
                    <<?php echo esc_attr($title_tag); ?> class="rotate-box-title" <?php echo codebean_get_inline_style($title_styles); ?>>
                        <?php echo esc_html($title); ?>
                    </<?php echo esc_attr($title_tag); ?>>
                <?php } ?>
                <?php if(!empty($text)) { ?>
                    <p class="rotate-box-desc" <?php echo codebean_get_inline_style($text_styles); ?>><?php echo esc_html($text); ?></p>
                <?php }
                if(!empty($link)){ ?>
                    <div class="rotate-box-btn">
                        <?php echo codebean_get_button_html($button_params); ?>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
</div>