<?php

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	class WPBakeryShortCode_CodeBean_Tabs extends WPBakeryShortCodesContainer {}
	class WPBakeryShortCode_CodeBean_Tabs_Item extends WPBakeryShortCodesContainer {}
}

if ( ! function_exists( 'caledon_addon_add_tabs_shortcodes' ) ) {
	function caledon_addon_add_tabs_shortcodes( $shortcodes_class_name ) {
		$shortcodes = array(
			'CaledonAddon\CPT\Shortcodes\Tabs\Tabs',
			'CaledonAddon\CPT\Shortcodes\Tabs\TabsItem'
		);
		
		$shortcodes_class_name = array_merge( $shortcodes_class_name, $shortcodes );
		
		return $shortcodes_class_name;
	}
	
	add_filter( 'codebean_filter_add_vc_shortcode', 'caledon_addon_add_tabs_shortcodes' );
}

if ( ! function_exists( 'caledon_addon_set_tabs_custom_style_for_vc_shortcodes' ) ) {
	/**
	 * Function that set custom css style for tabs shortcode
	 */
	function caledon_addon_set_tabs_custom_style_for_vc_shortcodes( $style ) {
		$current_style = '.vc_shortcodes_container.wpb_codebean_tabs_item { 
			background-color: #f4f4f4; 
		}';
		
		$style .= $current_style;
		
		return $style;
	}
	
	add_filter( 'codebean_filter_add_vc_shortcodes_custom_style', 'caledon_addon_set_tabs_custom_style_for_vc_shortcodes' );
}
