<div class="service-unit <?php echo esc_attr($showcase_item_class); ?>">
    <?php if ( $item_position == 'right') { ?>
        <div class="service-icon">
            <?php if(!empty($custom_icon)) : ?>
                <?php echo wp_get_attachment_image($custom_icon, 'full'); ?>
            <?php else: ?>
                <?php echo codebean_execute_shortcode('codebean_icon', $icon_params); ?>
            <?php endif; ?>
        </div>
    <?php } ?>
    <div class="service-content">
    <?php if (!empty($item_title)) { ?>
        <<?php echo esc_attr($item_title_tag); ?> class="title" <?php echo codebean_get_inline_style($item_title_styles); ?>>
            <?php if (!empty($item_link)) { ?><a href="<?php echo esc_url($item_link); ?>" target="<?php echo esc_attr($item_target); ?>"><?php } ?>
            <?php echo esc_html($item_title); ?>
            <?php if (!empty($item_link)) { ?></a><?php } ?>
        </<?php echo esc_attr($item_title_tag); ?>>
    <?php } ?>
    <?php if (!empty($item_text)) { ?>
        <p class="description" <?php echo codebean_get_inline_style($item_text_styles); ?>><?php echo esc_html($item_text); ?></p>
    <?php } ?>
    </div>
    <?php if($item_position == 'left') { ?>
        <div class="service-icon">
        <?php if(!empty($custom_icon)) : ?>
            <?php echo wp_get_attachment_image($custom_icon, 'full'); ?>
        <?php else: ?>
            <?php echo codebean_execute_shortcode('codebean_icon', $icon_params); ?>
        <?php endif; ?>
        </div>
<?php } ?>
</div>