(function($) {
    'use strict';

    var rotateBoxes = {};
    cdbTheme.modules.rotateBoxes = rotateBoxes;

    rotateBoxes.cdbThemeDocumentReady = cdbThemeDocumentReady;
    rotateBoxes.rotateBoxOnTouch = rotateBoxOnTouch;

    $(document).ready(cdbThemeDocumentReady);

    /*
     All functions to be called on $(document).ready() should be in this function
     */
    function cdbThemeDocumentReady() {
        rotateBoxOnTouch();
    }

    /**
     * Init info box animation
     */
    function rotateBoxOnTouch(){
        var items = $('.rotate-boxes-wrap .rotate-box-item');

        if(items.length && cdbTheme.htmlEl.hasClass('touch')){
            items.each(function() {
                var _this = $(this);

                _this.on('click', function(){
                    $(this).toggleClass('touch-animate');
                });
            });
        }
    }

})(jQuery);