<a class="<?php echo esc_attr($name) ?>" href="<?php echo esc_url($link) ?>" target="_blank">
    <?php if ($type == 'text') { ?>
        <span><?php echo esc_html($text); ?></span>
    <?php } elseif ( $custom_icon !== '' ) { ?>
        <img itemprop="image" src="<?php echo esc_url( $custom_icon ); ?>" alt="<?php echo esc_attr( $name ); ?>"/>
    <?php } else { ?>
        <i class="<?php echo esc_attr( $icon ); ?>"></i>
    <?php } ?>
</a>