(function($) {
	'use strict';
	
	var tabs = {};
	cdbTheme.modules.tabs = tabs;
	
	tabs.codeBeanTabs = codeBeanTabs;
	
	
	tabs.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		codeBeanTabs();
	}
	
	/*
	 **	Init tabs shortcode
	 */
	function codeBeanTabs(){
		var tabs = $('.cdb-tabs');
		
		if(tabs.length){
			tabs.each(function(){
				var thisTabs = $(this);
				
				thisTabs.children('.cdb-tab-panel').each(function(index){
					index = index + 1;
					var that = $(this),
						link = that.attr('id'),
						navItem = that.parent().find('.cdb-tabs-nav li:nth-child('+index+') a'),
						navLink = navItem.attr('href');
					
					link = '#'+link;

					if(link.indexOf(navLink) > -1) {
						navItem.attr('href',link);
					}
				});
				
				thisTabs.tabs();

                $('.cdb-tabs a.external-link').unbind('click');
			});
		}
	}
	
})(jQuery);