<?php get_header(); ?>
                    <div class="cdb-page-not-found">
                        <?php
                        $cdb_title_image_404 = codebean_options()->getOptionValue( '404_page_title_image' );
                        $cdb_title_404       = codebean_options()->getOptionValue( '404_title' );
                        $cdb_subtitle_404    = codebean_options()->getOptionValue( '404_subtitle' );
                        $cdb_button_label    = codebean_options()->getOptionValue( '404_back_to_home' );
                        $cdb_button_style    = codebean_options()->getOptionValue( '404_button_style' );

                        if ( ! empty( $cdb_title_image_404 ) ) { ?>
                            <div class="error-text-image">
                                <img src="<?php echo esc_url( $cdb_title_image_404 ); ?>" alt="<?php esc_attr_e( '404 Title Image', 'caledon' ); ?>" />
                            </div>
                        <?php } ?>

                        <h2 class="error-text">
                            <?php if ( ! empty( $cdb_title_404 ) ) {
                                echo esc_html( $cdb_title_404 );
                            } else {
                                esc_html_e( 'Page not found.', 'caledon' );
                            } ?>
                        </h2>

                        <p class="error-text-subtitle">
                            <?php if ( ! empty( $cdb_subtitle_404 ) ) {
                                echo esc_html( $cdb_subtitle_404 );
                            } else {
                                esc_html_e( 'Sorry! It looks like nothing was found at this location.', 'caledon' );
                            } ?>
                        </p>

                        <?php
                        $button_params = array(
                            'link' => esc_url( home_url( '/' ) ),
                            'text' => ! empty( $cdb_button_label ) ? $cdb_button_label : esc_html__( 'Back to home', 'caledon' ),
                        );

                        if ( $cdb_button_style == 'light-style' ) {
                            $button_params['custom_class'] = 'btn-light-style';
                        }

                        echo codebean_return_button_html( $button_params );
                        ?>
                    </div>
                </div> <!-- /.page-wrap-inner -->
            </div> <!-- /.page-wrap -->
        </div> <!-- /.site-container-->
    </div> <!-- /.site-wrapper -->

<?php wp_footer(); ?>

</body>
</html>