<?php
/*
Template Name: Coming Soon Page
*/
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<?php
	/**
	 * caledon_action_header_meta hook
	 *
	 * @see codebean_header_meta() - hooked with 10
	 * @see codebean_user_scalable_meta() - hooked with 10
	 * @see caledon_addon_set_open_graph_meta - hooked with 10
	 */
	do_action( 'caledon_action_header_meta' );
	
	wp_head(); ?>
</head>
<body <?php body_class(); ?> itemscope itemtype="http://schema.org/WebPage">
	<?php
	/**
	 * codebean_action_after_body_tag hook
	 *
	 * @see codebean_get_side_area() - hooked with 10
	 * @see codebean_smooth_page_transitions() - hooked with 10
	 */
	do_action( 'codebean_action_after_body_tag' ); ?>

	<div class="site-wrapper">
		<div class="site-container">
			<div class="page-wrap">
				<div class="page-wrap-inner">
					<?php get_template_part( 'slider' ); ?>
					<div class="fw-container">
						<div class="fw-container-inner">
							<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
								<?php the_content(); ?>
							<?php endwhile; endif; ?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php wp_footer(); ?>
</body>
</html>