<div class="cdb-tabs-navigation-wrapper">
    <ul class="nav nav-tabs">
        <?php
        foreach (codebean_options()->adminPages as $key => $page ) {
            $slug = "";
            if (!empty($page->slug)) $slug = "_tab".$page->slug;
            ?>
            <li<?php if ($page->slug == $tab) echo " class=\"active\""; ?>>
                <a href="<?php echo esc_url(get_admin_url().'admin.php?page='.CODEBEAN_OPTIONS_SLUG.$slug); ?>">
                    <?php if($page->icon !== '') { ?>
                        <i class="<?php echo esc_attr($page->icon); ?> cdb-tooltip cdb-inline-tooltip right" data-placement="right" data-toggle="tooltip" title="<?php echo esc_attr($page->title); ?>"></i>
                    <?php } ?>
                    <span><?php echo esc_html($page->title); ?></span>
                </a>
            </li>
        <?php
        }
        ?>
	    <?php if (codebean_core_plugin_installed()) { ?>
			<li <?php if($isBackupOptionsPage) { echo "class='active'"; } ?>><a href="<?php echo esc_url(get_admin_url().'admin.php?page='.CODEBEAN_OPTIONS_SLUG.'_backup_options'); ?>"><i class="fa fa-download cdb-tooltip cdb-inline-tooltip right" data-placement="right" data-toggle="tooltip" title="<?php esc_attr_e('Backup Options','caledon'); ?>"></i><span><?php esc_html_e('Backup Options','caledon'); ?></span></a></li>
	    <?php } ?>
    </ul>
</div>