<?php

if ( ! function_exists( 'codebean_map_post_gallery_meta' ) ) {
	
	function codebean_map_post_gallery_meta() {
		$gallery_post_format_meta_box = codebean_create_meta_box(
			array(
				'scope' => array( 'post' ),
				'title' => esc_html__( 'Gallery Post Format', 'caledon' ),
				'name'  => 'post_format_gallery_meta'
			)
		);
		
		codebean_add_multiple_images_field(
			array(
				'name'        => 'cdb_post_gallery_images_meta',
				'label'       => esc_html__( 'Gallery Images', 'caledon' ),
				'description' => esc_html__( 'Choose your gallery images', 'caledon' ),
				'parent'      => $gallery_post_format_meta_box,
			)
		);
	}
	
	add_action( 'codebean_action_meta_boxes_map', 'codebean_map_post_gallery_meta', 21 );
}
