<?php

if ( ! function_exists( 'codebean_map_post_link_meta' ) ) {
	function codebean_map_post_link_meta() {
		$link_post_format_meta_box = codebean_create_meta_box(
			array(
				'scope' => array( 'post' ),
				'title' => esc_html__( 'Link Post Format', 'caledon' ),
				'name'  => 'post_format_link_meta'
			)
		);
		
		codebean_create_meta_box_field(
			array(
				'name'        => 'cdb_post_link_link_meta',
				'type'        => 'text',
				'label'       => esc_html__( 'Link', 'caledon' ),
				'description' => esc_html__( 'Enter link', 'caledon' ),
				'parent'      => $link_post_format_meta_box
			)
		);
	}
	
	add_action( 'codebean_action_meta_boxes_map', 'codebean_map_post_link_meta', 24 );
}