<?php

if ( post_password_required() ) {
	echo get_the_password_form();
} else {
	$excerpt_size = isset( $params['excerpt_size'] ) ? $params['excerpt_size'] : '';
	$excerpt        = codebean_excerpt( $excerpt_size );
	
	$link_page_exists = apply_filters( 'codebean_filter_single_links_exists', '' );
	
	if ( ! empty( $excerpt ) && empty( $link_page_exists ) ) { ?>
		<div class="post-excerpt-wrap">
			<p itemprop="description" class="post-excerpt"><?php echo wp_kses_post( $excerpt ); ?></p>
		</div>
	<?php }
} ?>