<?php
$has_featured        = ! empty( $image_meta ) || has_post_thumbnail();
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="blog-post-article">
        <div class="blog-post-top-part">
            <?php codebean_get_module_template_part('templates/parts/media', 'blog', $post_format, $part_params); ?>
        </div>
        <div class="blog-post-content">
            <div class="blog-post-content-inner">
                <div class="blog-post-meta-top">
                    <?php if ($has_featured) : else : ?>
                        <?php codebean_get_module_template_part('templates/parts/post-info/date', 'blog', '', $part_params); ?>
                    <?php endif; ?>
                    <?php codebean_get_module_template_part('templates/parts/post-info/category', 'blog', '', $part_params); ?>
                    <?php codebean_get_module_template_part('templates/parts/post-info/tags', 'blog', '', $part_params); ?>
                </div>
                <div class="blog-title-and-excerpt">
                    <?php codebean_get_module_template_part('templates/parts/title', 'blog', '', $part_params); ?>
                    <?php the_content(); ?>
                    <?php do_action('codebean_action_single_link_pages'); ?>
                </div>
                <?php codebean_get_module_template_part('templates/parts/post-info/share-single', 'blog', '', $part_params); ?>
            </div>
        </div>
    </div>
</article>