<?php do_action('codebean_action_before_mobile_header'); ?>

<header class="mobile-header">
	<?php do_action('codebean_action_after_mobile_header_html_open'); ?>

    <div class="mobile-header-container">
	    <?php codebean_get_mobile_logo(); ?>
        <div <?php codebean_class_attribute( $mobile_icon_class ); ?>>
            <a href="javascript:void(0)">
                                    <span class="mobile-toggle">
                                        <?php echo codebean_get_icon_sources_html( 'mobile_icon' ); ?>
                                    </span>
			    <?php if(!empty($mobile_menu_title)) { ?>
                    <h5 class="mobile-toggle-text"><?php echo esc_attr($mobile_menu_title); ?></h5>
			    <?php } ?>
            </a>
        </div>
    </div>
    <?php codebean_get_mobile_nav(); ?>
	
	<?php do_action('codebean_action_before_mobile_header_html_close'); ?>
</header>

<?php do_action('codebean_action_after_mobile_header'); ?>