<?php

foreach ( glob( CODEBEAN_FRAMEWORK_MODULES_ROOT_DIR . '/title/types/*/admin/custom-styles/*.php' ) as $options_load ) {
	include_once $options_load;
}

if ( ! function_exists( 'codebean_title_area_typography_style' ) ) {
	function codebean_title_area_typography_style() {
		
		// title default/small style
		
		$item_styles = codebean_get_typography_styles( 'page_title' );
		
		$item_selector = array(
			'.page-title-wrap .page-title-inner .cdb-page-title'
		);
		
		echo codebean_dynamic_css( $item_selector, $item_styles );
		
		// subtitle style
		
		$item_styles = codebean_get_typography_styles( 'page_subtitle' );
		
		$item_selector = array(
			'.page-title-wrap .page-title-inner .page-subtitle'
		);
		
		echo codebean_dynamic_css( $item_selector, $item_styles );
	}
	
	add_action( 'codebean_action_style_dynamic', 'codebean_title_area_typography_style' );
}