<?php

if ( ! function_exists( 'codebean_breadcrumbs_title_area_typography_style' ) ) {
	function codebean_breadcrumbs_title_area_typography_style() {
		
		$item_styles = codebean_get_typography_styles( 'page_breadcrumb' );
		
		$item_selector = array(
			'.page-title-wrap .page-title-inner .breadcrumbs'
		);
		
		echo codebean_dynamic_css( $item_selector, $item_styles );
		
		
		$breadcrumb_hover_color = codebean_options()->getOptionValue( 'page_breadcrumb_hovercolor' );
		
		$breadcrumb_hover_styles = array();
		if ( ! empty( $breadcrumb_hover_color ) ) {
			$breadcrumb_hover_styles['color'] = $breadcrumb_hover_color;
		}
		
		$breadcrumb_hover_selector = array(
			'.page-title-wrap .page-title-inner .breadcrumbs a:hover'
		);
		
		echo codebean_dynamic_css( $breadcrumb_hover_selector, $breadcrumb_hover_styles );
	}
	
	add_action( 'codebean_action_style_dynamic', 'codebean_breadcrumbs_title_area_typography_style' );
}