<?php

if ( ! function_exists( 'codebean_breadcrumbs_title_type_options_meta_boxes' ) ) {
	function codebean_breadcrumbs_title_type_options_meta_boxes( $show_title_area_meta_container ) {
		
		codebean_create_meta_box_field(
			array(
				'name'        => 'cdb_breadcrumbs_color_meta',
				'type'        => 'color',
				'label'       => esc_html__( 'Breadcrumbs Color', 'caledon' ),
				'description' => esc_html__( 'Choose a color for breadcrumbs text', 'caledon' ),
				'parent'      => $show_title_area_meta_container
			)
		);
	}
	
	add_action( 'codebean_action_additional_title_area_meta_boxes', 'codebean_breadcrumbs_title_type_options_meta_boxes' );
}