<?php do_action('codebean_action_before_page_title'); ?>

<div class="page-title-wrap <?php echo esc_attr($holder_classes); ?>" <?php echo codebean_get_inline_attrs($holder_data); ?> <?php codebean_inline_style($holder_styles); ?>>
	<?php if(!empty($title_image)) { ?>
		<div class="header-image-source">
			<img itemprop="image" src="<?php echo esc_url($title_image['src']); ?>" alt="<?php echo esc_attr($title_image['alt']); ?>" />
		</div>
	<?php } ?>
	<div class="page-title-inner" <?php codebean_inline_style($wrapper_styles); ?>>
        <div class="container">
            <?php if(!empty($title)) { ?>
                <<?php echo esc_attr($title_tag); ?> class="page-title" <?php codebean_inline_style($title_styles); ?>><?php echo esc_html($title); ?></<?php echo esc_attr($title_tag); ?>>
            <?php } ?>
            <?php if(!empty($subtitle)){ ?>
                <<?php echo esc_attr($subtitle_tag); ?> class="page-subtitle" <?php codebean_inline_style($subtitle_styles); ?>><?php echo esc_html($subtitle); ?></<?php echo esc_attr($subtitle_tag); ?>>
            <?php } ?>
        </div>
	</div>
</div>

<?php do_action('codebean_action_after_page_title'); ?>
