<?php
$item_classes           = $this_object->getItemClasses( $params );
$shader_styles          = $this_object->getShaderStyles( $params );
$text_wrapper_styles    = $this_object->getTextWrapperStyles( $params );
$params['title_styles'] = $this_object->getTitleStyles( $params );
?>
<div <?php wc_product_class( $item_classes ); ?>>
	<div class="product-item-inner">
        <div class="product-thumbnail">
			<?php codebean_get_module_template_part( 'templates/parts/image', 'woocommerce', '', $params ); ?>
            <a class="product-link" itemprop="url" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"></a>
        </div>
        <div class="product-details">
			<?php codebean_get_module_template_part( 'templates/parts/title', 'woocommerce', '', $params ); ?>

			<?php codebean_get_module_template_part( 'templates/parts/rating', 'woocommerce', '', $params ); ?>

			<?php codebean_get_module_template_part( 'templates/parts/category', 'woocommerce', '', $params ); ?>

			<?php codebean_get_module_template_part( 'templates/parts/excerpt', 'woocommerce', '', $params ); ?>

			<?php codebean_get_module_template_part( 'templates/parts/price', 'woocommerce', '', $params ); ?>

			<?php codebean_get_module_template_part( 'templates/parts/add-to-cart', 'woocommerce', '', $params ); ?>
        </div>
	</div>
</div>