<?php

if ( ! function_exists( 'codebean_dropdown_cart_icon_styles' ) ) {
	/**
	 * Generates styles for dropdown cart icon
	 */
	function codebean_dropdown_cart_icon_styles() {
		$icon_color       = codebean_options()->getOptionValue( 'dropdown_cart_icon_color' );
		$icon_hover_color = codebean_options()->getOptionValue( 'dropdown_cart_hover_color' );
		
		if ( ! empty( $icon_color ) ) {
			echo codebean_dynamic_css( '.mini-cart-wrapper .mini-cart-button a', array( 'color' => $icon_color ) );
		}
		
		if ( ! empty( $icon_hover_color ) ) {
			echo codebean_dynamic_css( '.mini-cart-wrapper .mini-cart-button a:hover', array( 'color' => $icon_hover_color ) );
		}
	}
	
	add_action( 'codebean_action_style_dynamic', 'codebean_dropdown_cart_icon_styles' );
}