<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<?php
	/**
	 * caledon_action_header_meta hook
	 *
	 * @see codebean_header_meta() - hooked with 10
	 * @see codebean_user_scalable_meta - hooked with 10
	 * @see caledon_addon_set_open_graph_meta - hooked with 10
	 */
	do_action( 'caledon_action_header_meta' );
	
	wp_head(); ?>
</head>
<body <?php body_class(); ?> itemscope itemtype="http://schema.org/WebPage">
	<?php
	/**
	 * codebean_action_after_body_tag hook
	 *
	 * @see codebean_get_side_area() - hooked with 10
	 * @see codebean_smooth_page_transitions() - hooked with 10
	 */
	do_action( 'codebean_action_after_body_tag' ); ?>

    <div class="site-wrapper">
        <div class="site-container">
            <?php
            /**
             * codebean_action_after_wrapper_inner hook
             *
             * @see codebean_get_header() - hooked with 10
             * @see codebean_get_mobile_header() - hooked with 20
             * @see codebean_back_to_top_button() - hooked with 30
             * @see codebean_get_header_minimal_full_screen_menu() - hooked with 40
             * @see codebean_get_header_bottom_navigation() - hooked with 40
             */
            do_action( 'codebean_action_after_wrapper_inner' ); ?>
	        
            <div class="page-wrap" <?php codebean_content_elem_style_attr(); ?>>
                <div class="page-wrap-inner">