<?php

//define constants
define( 'CODEBEAN_ROOT', get_template_directory_uri() );
define( 'CODEBEAN_ROOT_DIR', get_template_directory() );
define( 'CODEBEAN_ASSETS_ROOT', get_template_directory_uri() . '/assets' );
define( 'CODEBEAN_ASSETS_ROOT_DIR', get_template_directory() . '/assets' );
define( 'CODEBEAN_FRAMEWORK_ROOT', get_template_directory_uri() . '/framework' );
define( 'CODEBEAN_FRAMEWORK_ROOT_DIR', get_template_directory() . '/framework' );
define( 'CODEBEAN_FRAMEWORK_ADMIN_ASSETS_ROOT', get_template_directory_uri() . '/framework/admin/assets' );
define( 'CODEBEAN_FRAMEWORK_ICONS_ROOT', get_template_directory_uri() . '/framework/lib/icons-pack' );
define( 'CODEBEAN_FRAMEWORK_ICONS_ROOT_DIR', get_template_directory() . '/framework/lib/icons-pack' );
define( 'CODEBEAN_FRAMEWORK_MODULES_ROOT', get_template_directory_uri() . '/framework/modules' );
define( 'CODEBEAN_FRAMEWORK_MODULES_ROOT_DIR', get_template_directory() . '/framework/modules' );
define( 'CODEBEAN_FRAMEWORK_HEADER_ROOT', get_template_directory_uri() . '/framework/modules/header' );
define( 'CODEBEAN_FRAMEWORK_HEADER_ROOT_DIR', get_template_directory() . '/framework/modules/header' );
define( 'CODEBEAN_FRAMEWORK_HEADER_TYPES_ROOT', CODEBEAN_FRAMEWORK_HEADER_ROOT . '/types' );
define( 'CODEBEAN_FRAMEWORK_HEADER_TYPES_ROOT_DIR', CODEBEAN_FRAMEWORK_HEADER_ROOT_DIR . '/types' );
define( 'CODEBEAN_FRAMEWORK_SEARCH_ROOT', get_template_directory_uri() . '/framework/modules/search' );
define( 'CODEBEAN_FRAMEWORK_SEARCH_ROOT_DIR', get_template_directory() . '/framework/modules/search' );
define( 'CODEBEAN_THEME_ENV', 'false' );
define( 'CODEBEAN_PROFILE_SLUG', 'codebean' );
define( 'CODEBEAN_OPTIONS_SLUG', 'codebean_theme_menu');

//include necessary files
include_once CODEBEAN_ROOT_DIR . '/framework/codebean-framework.php';
include_once CODEBEAN_ROOT_DIR . '/includes/nav-menu/main-menu.php';
require_once CODEBEAN_ROOT_DIR . '/includes/plugins/class-tgm-plugin-activation.php';
include_once CODEBEAN_ROOT_DIR . '/includes/plugins/plugins-activation.php';
include_once CODEBEAN_ROOT_DIR . '/assets/custom-styles/general-custom-styles.php';
include_once CODEBEAN_ROOT_DIR . '/assets/custom-styles/general-custom-styles-responsive.php';

if ( file_exists( CODEBEAN_ROOT_DIR . '/export' ) ) {
	include_once CODEBEAN_ROOT_DIR . '/export/export.php';
}

if ( ! is_admin() ) {
	include_once CODEBEAN_ROOT_DIR . '/includes/body-classes-functions.php';
	include_once CODEBEAN_ROOT_DIR . '/includes/loading-spinners.php';
}