<div class="cdb-cascading-images <?php echo esc_attr($holder_classes); ?>">
    <div class="inner">
        <div class="cascading-image primary-img-wrap">
            <div class="img-wrap" <?php echo codebean_get_inline_attrs($main_image_parallax_data); ?>>
                <img class="primary-image"
                    <?php echo codebean_get_inline_attrs($main_image_position_data); ?> 
                    <?php codebean_inline_style($main_image_styles); ?>
                    src="<?php echo wp_get_attachment_url($main_image); ?>" 
                    alt="<?php echo get_the_title($main_image) ?>" />
            </div>
        </div>
        <div class="cascading-image second-img-wrap">
            <div class="img-wrap" <?php echo codebean_get_inline_attrs($aux_image_parallax_data); ?>>
                <img class="secondary-image"
                    <?php echo codebean_get_inline_attrs($aux_image_position_data); ?> 
                    <?php codebean_inline_style($aux_image_styles); ?>
                    src="<?php echo wp_get_attachment_url($aux_image); ?>" 
                    alt="<?php echo get_the_title($aux_image) ?>" />
            </div>
        </div>
        <?php if (!empty($image_overlay)) { ?>
            <?php 
                $bgrnd_img_style = "background-image: url(" . wp_get_attachment_url($image_overlay) . ");"; 
            ?>
            <div class="cascading-overlay" <?php codebean_inline_style($bgrnd_img_style); ?> <?php echo codebean_get_inline_attrs($overlay_image_parallax_data);?>></div>
        <?php } ?>
    </div>
</div>
