<?php

if ( ! function_exists( 'caledon_addon_enqueue_scripts_for_counter_shortcodes' ) ) {
	/**
	 * Function that includes all necessary 3rd party scripts for this shortcode
	 */
	function caledon_addon_enqueue_scripts_for_counter_shortcodes() {
		wp_enqueue_script( 'counter', CALEDON_ADDON_SHORTCODES_URL_PATH . '/counter/assets/js/plugins/counter.js', array( 'jquery' ), false, true );
		wp_enqueue_script( 'absoluteCounter', CALEDON_ADDON_SHORTCODES_URL_PATH . '/counter/assets/js/plugins/absoluteCounter.min.js', array( 'jquery' ), false, true );
	}
	
	add_action( 'codebean_action_enqueue_third_party_scripts', 'caledon_addon_enqueue_scripts_for_counter_shortcodes' );
}

if ( ! function_exists( 'caledon_addon_add_counter_shortcodes' ) ) {
	function caledon_addon_add_counter_shortcodes( $shortcodes_class_name ) {
		$shortcodes = array(
			'CaledonAddon\CPT\Shortcodes\Counter\Counter'
		);
		
		$shortcodes_class_name = array_merge( $shortcodes_class_name, $shortcodes );
		
		return $shortcodes_class_name;
	}
	
	add_filter( 'codebean_filter_add_vc_shortcode', 'caledon_addon_add_counter_shortcodes' );
}
