<div class="cdb-iconbox">
    <div <?php codebean_class_attribute($inner_holder_classes); ?> <?php codebean_inline_style($padding_styles); ?>>
        <div class="iconbox-icon">
            <?php if(!empty($link)) : ?>
                <a itemprop="url" href="<?php echo esc_url($link); ?>" target="<?php echo esc_attr($target); ?>">
            <?php endif; ?>
                <?php if(!empty($custom_icon)) : ?>
                    <?php
	                    $rand = "svg-" . rand(1000,9999);
	                    $sizes = codebean_get_explode_size( $custom_icon_size, 118 );
	                    $img = wpb_getImageBySize( array( 'attach_id' => $custom_icon, 'thumb_size' => 'full', 'class' => 'iwt-icon' ) );
	                    $src = $img['p_img_large'][0];

	                    if ( codebean_is_svg( $src ) ) {
                            echo '<div class="iwt-svg-wrapper iwt-icon" style="width: ' . $sizes[0] . 'px;height: ' . $sizes[1] . 'px;">' . codebean_get_any_svg( $src, $rand ) . '</div>';
                        } else {
                            echo wp_get_attachment_image($custom_icon, 'full');
                        }
                    ?>


                        <?php if(!empty($custom_hover_icon)) : ?>
                            <?php echo wp_get_attachment_image($custom_hover_icon, 'full'); ?>
                        <?php endif; ?>
                <?php else: ?>
                    <?php echo caledon_addon_get_shortcode_module_template_part('templates/icon', 'icon-with-text', '', array('icon_parameters' => $icon_parameters)); ?>
                <?php endif; ?>
            <?php if(!empty($link)) : ?>
                </a>
            <?php endif; ?>
        </div>
        <div class="cdb-iconbox-content" <?php codebean_inline_style($content_styles); ?>>
            <?php if(!empty($title)) { ?>
                <<?php echo esc_attr($title_tag); ?> class="title-wrap" <?php codebean_inline_style($title_styles); ?>>
                    <?php if(!empty($link)) : ?>
                        <a itemprop="url" href="<?php echo esc_url($link); ?>" target="<?php echo esc_attr($target); ?>">
                    <?php endif; ?>
                    <span class="iconbox-title"><?php echo esc_html($title); ?></span>
                    <?php if(!empty($link)) : ?>
                        </a>
                    <?php endif; ?>
                </<?php echo esc_attr($title_tag); ?>>
            <?php } ?>
            <?php if(!empty($text)) { ?>
                <p class="cdb-iconbox-text" <?php codebean_inline_style($text_styles); ?>><?php echo esc_html($text); ?></p>
            <?php } ?>
        </div>
    </div>
</div>