<?php

if ( ! function_exists( 'caledon_addon_enqueue_scripts_for_pie_chart_shortcodes' ) ) {
	/**
	 * Function that includes all necessary 3rd party scripts for this shortcode
	 */
	function caledon_addon_enqueue_scripts_for_pie_chart_shortcodes() {
		wp_enqueue_script( 'counter', CALEDON_ADDON_SHORTCODES_URL_PATH . '/pie-chart/assets/js/plugins/counter.js', array( 'jquery' ), false, true );
		wp_enqueue_script( 'easypiechart', CALEDON_ADDON_SHORTCODES_URL_PATH . '/pie-chart/assets/js/plugins/easypiechart.js', array( 'jquery' ), false, true );
	}
	
	add_action( 'codebean_action_enqueue_third_party_scripts', 'caledon_addon_enqueue_scripts_for_pie_chart_shortcodes' );
}

if ( ! function_exists( 'caledon_addon_add_pie_chart_shortcodes' ) ) {
	function caledon_addon_add_pie_chart_shortcodes( $shortcodes_class_name ) {
		$shortcodes = array(
			'CaledonAddon\CPT\Shortcodes\PieChart\PieChart'
		);
		
		$shortcodes_class_name = array_merge( $shortcodes_class_name, $shortcodes );
		
		return $shortcodes_class_name;
	}
	
	add_filter( 'codebean_filter_add_vc_shortcode', 'caledon_addon_add_pie_chart_shortcodes' );
}
