<?php

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	class WPBakeryShortCode_CodeBean_Pricing_Table extends WPBakeryShortCodesContainer {}
}

if ( ! function_exists( 'caledon_addon_add_pricing_tables_shortcodes' ) ) {
	function caledon_addon_add_pricing_tables_shortcodes( $shortcodes_class_name ) {
		$shortcodes = array(
			'CaledonAddon\CPT\Shortcodes\PricingTable\PricingTable',
			'CaledonAddon\CPT\Shortcodes\PricingTable\PricingTableItem'
		);
		
		$shortcodes_class_name = array_merge( $shortcodes_class_name, $shortcodes );
		
		return $shortcodes_class_name;
	}
	
	add_filter( 'codebean_filter_add_vc_shortcode', 'caledon_addon_add_pricing_tables_shortcodes' );
}

if ( ! function_exists( 'caledon_addon_set_pricing_table_custom_style_for_vc_shortcodes' ) ) {
	/**
	 * Function that set custom css style for pricing table shortcode
	 */
	function caledon_addon_set_pricing_table_custom_style_for_vc_shortcodes( $style ) {
		$current_style = '.wpb_content_element.wpb_codebean_pricing_table_item > .wpb_element_wrapper { 
			background-color: #f4f4f4; 
		}';
		
		$style .= $current_style;
		
		return $style;
	}
	
	add_filter( 'codebean_filter_add_vc_shortcodes_custom_style', 'caledon_addon_set_pricing_table_custom_style_for_vc_shortcodes' );
}
