<div class="pricing-block col-gutter <?php echo esc_attr( $holder_classes ); ?>">
    <div class="pricing-block-inner" <?php echo codebean_get_inline_style( $holder_styles ); ?>>
        <div class="block-top">
            <span class="block-title" <?php echo codebean_get_inline_style($title_styles); ?>><?php echo esc_html( $title ); ?></span>
            <div class="price-wrap">
                <sup class="currency-symbol" <?php echo codebean_get_inline_style($currency_styles); ?>><?php echo esc_html( $currency ); ?></sup>
                <span class="price-amount" <?php echo codebean_get_inline_style($price_styles); ?>><?php echo esc_html( $price ); ?></span>
            </div>
            <span class="time-interval" <?php echo codebean_get_inline_style($price_period_styles); ?>><?php echo esc_html( $price_period ); ?></span>
        </div>
        <div class="content-description" <?php echo codebean_get_inline_style( $content_styles ); ?>>
            <?php echo do_shortcode( $content ); ?>
        </div>
	    <?php if ( !empty($button_text) ) : ?>
            <div class="pricing-button">
	            <?php echo codebean_get_button_html(array(
		            'link'                   => $link,
		            'text'                   => $button_text,
		            'type'                   => $button_type,
		            'size'                   => 'small',
		            'color'                  => $button_color,
		            'hover_color'            => $button_hover_color,
		            'background_color'       => $button_background_color,
		            'hover_background_color' => $button_hover_background_color,
		            'border_color'           => $button_border_color,
		            'hover_border_color'     => $button_hover_border_color,
	            )); ?>
            </div>
        <?php endif; ?>
    </div>
</div>