(function($) {
	'use strict';
	
	var process = {};
	cdbTheme.modules.process = process;
	
	process.processSteps = processSteps;
	
	
	process.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		processSteps();
	}
	
	/**
	 * Inti process shortcode on appear
	 */
	function processSteps() {
		var holder = $('.process-wrapper');
		
		if(holder.length) {
			holder.each(function(){
				var thisHolder = $(this);
				
				thisHolder.appear(function(){
					thisHolder.addClass('in-view');
				},{accX: 0, accY: theme_global_vars.vars.appear_element_amount});
			});
		}
	}
	
})(jQuery);