<?php
$rand = rand(0, 1000);
$link_class = !empty($play_button_hover_image) ? 'video-poster-icon-with-hover' : '';
?>

<?php if ( $video_button_type == 'default' ) : ?>
<div class="video-poster-wrapper <?php echo esc_attr($holder_classes); ?>">
	<div class="cdb-video-poster">
		<?php echo wp_get_attachment_image($video_image, 'full'); ?>
	</div>
	<?php if(!empty($play_button_image)) { ?>
		<a class="video-poster-icon-img <?php echo esc_attr($link_class); ?>" href="<?php echo esc_url($video_link); ?>" data-rel="prettyPhoto[video_poster_<?php echo esc_attr($rand); ?>]">
			<span class="video-poster-icon-inner">
				<?php echo wp_get_attachment_image($play_button_image, 'full'); ?>
				<?php if(!empty($play_button_hover_image)) { ?>
					<?php echo wp_get_attachment_image($play_button_hover_image, 'full'); ?>
				<?php } ?>
			</span>
		</a>
	<?php } else { ?>
		<a class="video-poster-play" href="<?php echo esc_url($video_link); ?>" data-rel="prettyPhoto[video_poster_<?php echo esc_attr($rand); ?>]">
			<span class="video-poster-icon-inner">
				<span class="icon-control-play"></span>
			</span>
		</a>
	<?php } ?>
</div>
<?php else: ?>
<div class="video-button-wrapper <?php echo esc_attr($holder_classes); ?>" <?php echo codebean_inline_style($holder_style); ?>>
    <a href="<?php echo esc_url($video_link); ?>" data-rel="prettyPhoto[video_poster_<?php echo esc_attr($rand) ?>">
        <span class="video-button-icon">
            <?php echo codebean_get_svg_template( 'video-button' ); ?>
        </span>
        <span class="video-button-text"><?php echo esc_html($video_text); ?></span>
    </a>
</div>
<?php endif; ?>
