<?php

if ( ! function_exists( 'codebean_portfolio_category_additional_fields' ) ) {
	function codebean_portfolio_category_additional_fields() {
		
		$fields = codebean_add_taxonomy_fields(
			array(
				'scope' => 'portfolio-category',
				'name'  => 'portfolio_category_options'
			)
		);
		
		codebean_add_taxonomy_field(
			array(
				'name'   => 'cdb_portfolio_category_image_meta',
				'type'   => 'image',
				'label'  => esc_html__( 'Category Image', 'caledon-addon' ),
				'parent' => $fields
			)
		);
	}
	
	add_action( 'codebean_action_custom_taxonomy_fields', 'codebean_portfolio_category_additional_fields' );
}