<?php if($filter == 'yes') {
	$filter_categories    = $this_object->getFilterCategories($params);
	$filter_holder_styles = $this_object->getFilterHolderStyles($params);
	$filter_styles        = $this_object->getFilterStyles($params);
	?>
	<div class="portfolio-filters-wrap" <?php codebean_inline_style($filter_holder_styles); ?>>
        <?php
        if(is_array($filter_categories) && count($filter_categories)){ ?>
            <ul <?php codebean_inline_style($filter_styles); ?>>
                <li class="p-filter" data-filter="">
                    <span><?php esc_html_e('Show all', 'caledon-addon')?></span>
                </li>
                <?php foreach($filter_categories as $cat) { ?>
                    <li class="p-filter" data-filter=".portfolio-category-<?php echo esc_attr($cat->slug); ?>">
                        <span><?php echo esc_html($cat->name); ?></span>
                    </li>
                <?php } ?>
            </ul>
        <?php } ?>
	</div>
<?php } ?>
