<?php

if ( ! function_exists( 'codebean_admin_map_init' ) ) {
	function codebean_admin_map_init() {
		do_action( 'caledon_addon_action_before_options_map' );
		
		foreach ( glob( CODEBEAN_FRAMEWORK_ROOT_DIR . '/admin/options/*/*.php' ) as $module_load ) {
			include_once $module_load;
		}
		
		do_action( 'codebean_action_options_map' );
		
		do_action( 'codebean_action_after_options_map' );
	}
	
	add_action( 'after_setup_theme', 'codebean_admin_map_init', 1 );
}