<?php
$image_size          = isset( $image_size ) ? $image_size : 'full';
$image_meta          = get_post_meta( get_the_ID(), 'cdb_blog_list_featured_image_meta', true );
$has_featured        = ! empty( $image_meta ) || has_post_thumbnail();
$blog_list_image_id  = ! empty( $image_meta ) && codebean_blog_item_has_link() ? codebean_get_attachment_id_from_url( $image_meta ) : '';

$month = get_the_time('m');
$year = get_the_time('Y');
$title = get_the_title();
?>

<?php if ( $has_featured ) { ?>
    <?php if (!isset($post_info_date) || $post_info_date == 'yes') {?>
    <div class="post-date-on-thumb">
        <?php if (empty($title) && codebean_blog_item_has_link()) { ?>
        <a itemprop="url" href="<?php the_permalink() ?>">
            <?php } else { ?>
        <a itemprop="url" href="<?php echo get_month_link($year, $month); ?>">
            <?php } ?>
            <div class="post-date-day"><?php the_time('j'); ?> </div>
            <div class="post-date-month"><?php the_time('M'); ?> </div>
        </a>
            <meta itemprop="interactionCount" content="UserComments: <?php echo get_comments_number(codebean_get_page_id()); ?>"/>
    </div>
    <?php } ?>
	<div class="blog-post-thumbnail">
		<?php if ( codebean_blog_item_has_link() ) { ?>
			<a itemprop="url" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
		<?php } ?>
			<?php if ( ! empty( $blog_list_image_id ) ) {
				echo wp_get_attachment_image( $blog_list_image_id, $image_size );
			} else {
				the_post_thumbnail( $image_size );
			} ?>
		<?php if ( codebean_blog_item_has_link() ) { ?>
			</a>
		<?php } ?>
		<?php do_action('codebean_action_blog_inside_image_tag')?>
	</div>
<?php } ?>
