(function ($) {
	"use strict";
	
	var footer = {};
    cdbTheme.modules.footer = footer;
	
	footer.cdbThemeWindowLoad = cdbThemeWindowLoad;
	
	$(window).load(cdbThemeWindowLoad);
	
	/*
	 All functions to be called on $(window).load() should be in this function
	 */
	 
	function cdbThemeWindowLoad() {
		uncoveringFooter();
	}
	
	function uncoveringFooter() {
		var uncoverFooter = $('body:not(.error404) .fixed-footer-holder');

		if (uncoverFooter.length && !cdbTheme.htmlEl.hasClass('touch')) {

			var footer = $('footer'),
				footerHeight = footer.outerHeight(),
				content = $('.page-wrap');
			
			var uncoveringCalcs = function () {
				content.css('margin-bottom', footerHeight);
				footer.css('height', footerHeight);
			};


			//set
			uncoveringCalcs();
			
			$(window).resize(function () {
				//recalc
				footerHeight = footer.find('.footer-widgetized-area').outerHeight();
				uncoveringCalcs();
			});
		}
	}
	
})(jQuery);