<?php do_action('codebean_action_before_page_header'); ?>

<header class="main-header-wrapper">
	<?php do_action('codebean_action_after_page_header_html_open'); ?>
	
	<?php if($show_fixed_wrapper) : ?>
		<div class="main-fixed-header">
	<?php endif; ?>

    <?php if($menu_area_in_grid) : ?>
        <div class="container">
    <?php endif; ?>
			
	<div class="row-menu-container">
		<?php do_action('codebean_action_after_header_menu_area_html_open'); ?>

            <div class="header-col-left">
                <?php if(!$hide_logo) {
                    codebean_get_logo();
                } ?>
            </div>
            <div class="header-col-right">
                <a href="javascript:void(0)" <?php codebean_class_attribute( $fullscreen_menu_icon_class ); ?>>
                    <span class="fullscreen-button-close">
                        <?php echo codebean_get_icon_sources_html( 'fullscreen_menu', true ); ?>
                    </span>
                    <span class="full-screen-menu-button-icon">
                        <?php echo codebean_get_icon_sources_html( 'fullscreen_menu' ); ?>
                    </span>
                </a>
            </div>

	</div>

    <?php if($menu_area_in_grid) : ?>
        </div>
    <?php endif; ?>
			
	<?php if($show_fixed_wrapper) { ?>
		</div>
	<?php } ?>
	
	<?php do_action('codebean_action_before_page_header_html_close'); ?>
</header>