<?php do_action('codebean_action_before_page_header'); ?>

<header class="main-header-wrapper">
	<?php do_action('codebean_action_after_page_header_html_open'); ?>
	
	<?php if($show_fixed_wrapper) : ?>
		<div class="main-fixed-header">
	<?php endif; ?>

    <?php if($menu_area_in_grid) : ?>
        <div class="container">
    <?php endif; ?>

	<div class="row-menu-container <?php echo esc_attr($menu_area_position_class); ?>">
		<?php do_action('codebean_action_after_header_menu_area_html_open') ?>
        <div class="header-col-left">
            <?php if(!$hide_logo) {
                codebean_get_logo();
            } ?>
            <?php if($menu_area_position === 'left') : ?>
                <?php codebean_get_main_menu(); ?>
            <?php endif; ?>
        </div>
        <?php if($menu_area_position === 'center') : ?>
            <div class="header-col-center">
                    <?php codebean_get_main_menu(); ?>
            </div>
        <?php endif; ?>
        <div class="header-col-right">
            <?php if($menu_area_position === 'right') : ?>
                <?php codebean_get_main_menu(); ?>
            <?php endif; ?>
            <?php codebean_get_header_widget_menu_area(); ?>
        </div>
	</div>

    <?php if($menu_area_in_grid) : ?>
        </div>
    <?php endif; ?>
			
	<?php if($show_fixed_wrapper) { ?>
		</div>
	<?php } ?>
	
	<?php do_action('codebean_action_before_page_header_html_close'); ?>
</header>

<?php do_action('codebean_action_after_page_header'); ?>