<?php if ( $query->have_posts() ) : while ( $query->have_posts() ) : $query->the_post(); ?>
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="entry-item">
	        <?php if ( has_post_thumbnail() ) { ?>
		        <div class="entry-thumb">
			        <a itemprop="url" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
				        <?php the_post_thumbnail( 'thumbnail' ); ?>
			        </a>
		        </div>
	        <?php } ?>
	        <div class="entry-content <?php if ( ! has_post_thumbnail() ) { echo esc_attr( 'has-no-thumbnail' ); } ?>">
                <h5 itemprop="name" class="entry-title">
                    <a itemprop="url" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                </h5>
                <?php
                $cdb_my_excerpt = get_the_excerpt();

                if ( ! empty( $cdb_my_excerpt ) ) { ?>
                    <p itemprop="description" class="post-excerpt"><?php echo wp_trim_words( esc_html( $cdb_my_excerpt ), 30 ); ?></p>
                <?php } ?>
	        </div>
        </div>
    </article>
<?php endwhile; ?>
<?php else: ?>
	<p class="no-posts-found"><?php esc_html_e( 'No posts were found.', 'caledon' ); ?></p>
<?php endif; ?>