<div class="subscribe-popup-wrap <?php echo esc_attr( $holder_classes ); ?>">
    <a class="subscribe-popup-close" href="javascript:void(0)">
        <svg enable-background="new 0 0 64 64" height="18px" viewBox="0 0 64 64" width="18px" xmlns="http://www.w3.org/2000/svg"><path d="m28.941 31.786-28.328 28.328c-.787.787-.787 2.062 0 2.849.393.394.909.59 1.424.59.516 0 1.031-.196 1.424-.59l28.541-28.541 28.541 28.541c.394.394.909.59 1.424.59s1.031-.196 1.424-.59c.787-.787.787-2.062 0-2.849l-28.327-28.328 28.346-28.348c.787-.787.787-2.062 0-2.849-.787-.786-2.062-.786-2.848 0l-28.559 28.561-28.562-28.56c-.787-.786-2.061-.786-2.848 0-.787.787-.787 2.062 0 2.849z" /></svg>
    </a>
    <div class="subscribe-popup-container">
        <?php if ( ! empty( $background_styles ) ) { ?>
            <div class="subscribe-popup-img" <?php codebean_inline_style( $background_styles ); ?>></div>
        <?php } ?>
        <div class="subscribe-popup-content">
            <?php if ( ! empty( $title ) ) { ?>
                <h4 class="subscribe-popup-title"><?php echo esc_html( $title ); ?></h4>
            <?php } ?>
            <div class="subscribe-popup-description">
                <?php echo esc_html($subtitle); ?>
            </div>
            <?php echo do_shortcode('[contact-form-7 id="' . $contact_form .'" html_class="'. $contact_form_style .'"]'); ?>
            <?php if ( $enable_prevent === 'yes' ) { ?>
                <div class="avoid-popup-button">
                    <span class="avoid-popup-icon" data-value="no">
                        <svg x="0px" y="0px" width="10.656px" height="10.692px" viewBox="0 0 10.656 10.692" enable-background="new 0 0 10.656 10.692" xml:space="preserve">
                            <path d="M10.415,9.752c0.252,0.254,0.303,0.611,0.114,0.8l0,0c-0.188,0.188-0.545,0.136-0.798-0.118L0.242,0.913 C-0.011,0.658-0.062,0.3,0.127,0.111l0,0C0.316-0.075,0.673-0.023,0.926,0.23L10.415,9.752z"/>
                            <path d="M0.229,9.779c-0.253,0.253-0.305,0.609-0.117,0.799l0,0c0.188,0.189,0.545,0.138,0.799-0.115l9.515-9.495 c0.253-0.254,0.305-0.611,0.117-0.801l0,0C10.355-0.021,9.998,0.03,9.744,0.283L0.229,9.779z"/>
                        </svg>
                    </span>
                    <label class="avoid-popup-label"><?php esc_html_e( 'Prevent This Pop-up', 'caledon' ); ?></label>
                </div>
            <?php } ?>
        </div>
    </div>
</div>
