<?php

if ( ! function_exists( 'codebean_add_product_info_shortcode' ) ) {
	function codebean_add_product_info_shortcode( $shortcodes_class_name ) {
		$shortcodes = array(
			'CaledonAddon\CPT\Shortcodes\ProductInfo\ProductInfo',
		);
		
		$shortcodes_class_name = array_merge( $shortcodes_class_name, $shortcodes );
		
		return $shortcodes_class_name;
	}
	
	add_filter( 'codebean_filter_add_vc_shortcode', 'codebean_add_product_info_shortcode' );
}

if ( ! function_exists( 'codebean_add_product_info_into_shortcodes_list' ) ) {
	function codebean_add_product_info_into_shortcodes_list( $woocommerce_shortcodes ) {
		$woocommerce_shortcodes[] = 'cdb_product_info';
		
		return $woocommerce_shortcodes;
	}
	
	add_filter( 'codebean_filter_woocommerce_shortcodes_list', 'codebean_add_product_info_into_shortcodes_list' );
}