<?php
$shader_styles          = $this_object->getShaderStyles( $params );
$params['title_styles'] = $this_object->getTitleStyles( $params );
?>
<div class="cdb-shop-products <?php echo esc_attr( $holder_classes ) ?>">
	<div class="shop-products-inner cdb-owl-carousel" <?php echo codebean_get_inline_attrs( $holder_data ); ?>>
		<?php if ( $query_result->have_posts() ): while ( $query_result->have_posts() ) : $query_result->the_post(); ?>
			<div <?php wc_product_class(); ?>>
                <div class="product-thumbnail">
                    <?php codebean_get_module_template_part( 'templates/parts/image', 'woocommerce', '', $params ); ?>
                    <a class="product-link" itemprop="url" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"></a>
                </div>
                <div class="product-details">
                    <?php codebean_get_module_template_part( 'templates/parts/title', 'woocommerce', '', $params ); ?>

                    <?php codebean_get_module_template_part( 'templates/parts/rating', 'woocommerce', '', $params ); ?>

                    <?php codebean_get_module_template_part( 'templates/parts/category', 'woocommerce', '', $params ); ?>

                    <?php codebean_get_module_template_part( 'templates/parts/excerpt', 'woocommerce', '', $params ); ?>

                    <?php codebean_get_module_template_part( 'templates/parts/price', 'woocommerce', '', $params ); ?>

                    <?php codebean_get_module_template_part( 'templates/parts/add-to-cart', 'woocommerce', '', $params ); ?>
                </div>
			</div>
		<?php endwhile;
		else:
			codebean_get_module_template_part( 'templates/parts/no-posts', 'woocommerce', '', $params );
		endif;
		wp_reset_postdata();
		?>
	</div>
</div>