<?php
$product = codebean_return_woocommerce_global_variable();

if ( $product->is_on_sale() ) { ?>
	<span class="onsale"><?php echo codebean_get_woocommerce_sale( $product ); ?></span>
<?php } ?>

<?php if ( ! $product->is_in_stock() ) { ?>
	<span class="out-of-stock"><?php esc_html_e( 'Sold', 'caledon' ); ?></span>
<?php }

$new = get_post_meta( get_the_ID(), 'cdb_show_new_sign_woo_meta', true );

if ( $new === 'yes' ) { ?>
	<span class="new-product-label"><?php esc_html_e( 'New', 'caledon' ); ?></span>
<?php }

$product_image_size = 'woocommerce_single';
if ( $image_size === 'full' ) {
	$product_image_size = 'full';
} else if ( $image_size === 'square' ) {
	$product_image_size = 'caledon_square_size';
} else if ( $image_size === 'landscape' ) {
	$product_image_size = 'caledon_landscape_size';
} else if ( $image_size === 'portrait' ) {
	$product_image_size = 'caledon_portrait_size';
} else if ( $image_size === 'medium' ) {
	$product_image_size = 'medium';
} else if ( $image_size === 'large' ) {
	$product_image_size = 'large';
} else if ( $image_size === 'woocommerce_thumbnail' ) {
	$product_image_size = 'woocommerce_thumbnail';
}

$fixed_image_size_meta = get_post_meta( get_the_ID(), 'cdb_product_featured_image_size', true );
if ( ! empty( $fixed_image_size_meta ) && isset( $type ) && $type === 'masonry' ) {
	if ( $image_size === 'small' ) {
		$product_image_size = 'caledon_square_size';
	} else if ( $image_size === 'large-width' ) {
		$product_image_size = 'caledon_landscape_size';
	} else if ( $image_size === 'large-height' ) {
		$product_image_size = 'caledon_portrait_size';
	} else if ( $image_size === 'large-width-height' ) {
		$product_image_size = 'caledon_large_size';
	}
}

if ( has_post_thumbnail() ) {
	the_post_thumbnail( apply_filters( 'codebean_filter_product_list_image_size', $product_image_size ) );
}