<?php

if ( ! function_exists( 'codebean_register_woocommerce_dropdown_cart_widget' ) ) {
	/**
	 * Function that register dropdown cart widget
	 */
	function codebean_register_woocommerce_dropdown_cart_widget( $widgets ) {
		$widgets[] = 'CodeBeanClassWoocommerceDropdownCart';
		
		return $widgets;
	}
	
	add_filter( 'codebean_filter_register_widgets', 'codebean_register_woocommerce_dropdown_cart_widget' );
}

if ( ! function_exists( 'codebean_get_dropdown_cart_icon_class' ) ) {
	/**
	 * Returns dropdow cart icon class
	 */
	function codebean_get_dropdown_cart_icon_class() {
		$classes = array(
			'mini-cart-button'
		);
		
		$classes[] = codebean_get_icon_sources_class( 'dropdown_cart', 'mini-cart-button' );
		
		return $classes;
	}
}