<?php
/*
Template Name: Full Width Template
*/
?>
<?php
$cdb_sidebar_layout = codebean_sidebar_layout();

get_header();
codebean_get_title();
get_template_part( 'slider' );
do_action('codebean_action_before_main_content');
?>

<div class="fw-container">
    <?php do_action( 'codebean_action_after_container_open' ); ?>
	<div class="fw-container-inner">
        <?php do_action( 'codebean_action_after_container_inner_open' ); ?>
		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
			<div class="cdb-row">
				<div <?php echo codebean_get_content_sidebar_class(); ?>>
					<?php
						the_content();
						do_action( 'codebean_action_page_after_content' );
					?>
				</div>
				<?php if ( $cdb_sidebar_layout !== 'no-sidebar' ) { ?>
					<div <?php echo codebean_get_sidebar_holder_class(); ?>>
						<?php get_sidebar(); ?>
					</div>
				<?php } ?>
			</div>
		<?php endwhile; endif; ?>
        <?php do_action( 'codebean_action_before_container_inner_close' ); ?>
	</div>

    <?php do_action( 'codebean_action_before_container_close' ); ?>
</div>

<?php get_footer(); ?>