<?php
/*
Template Name: WooCommerce
*/
?>
<?php
$cdb_sidebar_layout  = codebean_sidebar_layout();
$cdb_grid_space_meta = codebean_options()->getOptionValue( 'woo_list_grid_space' );
$cdb_holder_classes  = ! empty( $cdb_grid_space_meta ) ? 'container-' . $cdb_grid_space_meta . '-gutter' : '';

get_header();
codebean_get_title();
get_template_part( 'slider' );
do_action('codebean_action_before_main_content');

//Woocommerce content
if ( ! is_singular( 'product' ) ) { ?>
	<div class="cdb-grid">
		<div class="cdb-grid-box clearfix">
			<div class="cdb-row <?php echo esc_attr( $cdb_holder_classes ); ?>">
				<div <?php echo codebean_get_content_sidebar_class(); ?>>
					<?php codebean_woocommerce_content(); ?>
				</div>
				<?php if ( $cdb_sidebar_layout !== 'no-sidebar' ) { ?>
					<div <?php echo codebean_get_sidebar_holder_class(); ?>>
						<?php get_sidebar(); ?>
					</div>
				<?php } ?>
			</div>
		</div>
	</div>
<?php } else { ?>
	<div class="cdb-grid">
		<div class="cdb-grid-box clearfix">
			<?php codebean_woocommerce_content(); ?>
		</div>
	</div>
<?php } ?>
<?php get_footer(); ?>